Bug 1823590 - Cluster operator image-registry can't create when launch a IPI on Azure
Summary: Cluster operator image-registry can't create when launch a IPI on Azure
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Image Registry
Version: 4.4
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ---
: 4.4.0
Assignee: Oleg Bulatov
QA Contact: Wenjing Zheng
URL:
Whiteboard:
Depends On: 1812748
Blocks: 1836753
TreeView+ depends on / blocked
 
Reported: 2020-04-14 00:27 UTC by Sam Batschelet
Modified: 2020-05-18 12:34 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: empty Azure container name is not omitted from the config object Consequence: when this object was sent to the api server, it was rejected because of validation Fix: omit empty fields Result: the operator can bootstrap the config object
Clone Of: 1812748
Environment:
Last Closed: 2020-05-04 11:49:19 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift api pull 627 None closed bug 1823590: [release-4.4] Add OmitEmpty to all optional fields 2020-06-11 04:44:09 UTC
Github openshift cluster-image-registry-operator pull 519 None closed Bug 1823590: [release-4.4] Bump openshift/api 2020-06-11 04:44:09 UTC
Red Hat Product Errata RHBA-2020:0581 None None None 2020-05-04 11:49:41 UTC

Comment 1 Ben Parees 2020-04-14 01:06:42 UTC
Sample failing job:
https://prow.svc.ci.openshift.org/view/gcs/origin-ci-test/logs/release-openshift-origin-installer-e2e-azure-compact-4.4/81

looks like until a few days ago the registry was installing fine, so something got merged to 4.4 that made it stop working.  Regardless, it seems like we need the same fix as was put into 4.5.

this is urgent, we can't have permfailing jobs.

Comment 2 Ben Parees 2020-04-14 01:07:47 UTC
4.5 PRs for this were not linked in the 4.5 bz for some reason, they appear to be these:
https://github.com/openshift/cluster-image-registry-operator/pull/492
https://github.com/openshift/api/pull/595

Comment 6 XiuJuan Wang 2020-04-15 05:37:55 UTC
It has fixed with 4.4.0-0.nightly-2020-04-14-222426 payload.
$oc get co  image-registry 
NAME             VERSION                             AVAILABLE   PROGRESSING   DEGRADED   SINCE
image-registry   4.4.0-0.nightly-2020-04-14-222426   True        False         False      112m

Comment 8 errata-xmlrpc 2020-05-04 11:49:19 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0581


Note You need to log in before you can comment on or make changes to this bug.